unit cont_unit1;

interface

uses
  Windows, SysUtils, Forms, Example1_TLB, ComCtrls, ExtCtrls, Controls,
  StdCtrls, Classes;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Label1: TLabel;
    Edit1: TEdit;
    Button2: TButton;
    Button3: TButton;
    Button4: TButton;
    StatusBar1: TStatusBar;
    Button5: TButton;
    Bevel1: TBevel;
    procedure Button1Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button5Click(Sender: TObject);
  private
    { Private declarations }
    FIntf: IAutoServ1;
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
begin
  FIntf.NewOle;
end;

procedure TForm1.Button4Click(Sender: TObject);
begin
  try
    FIntf:= CoAutoServ1.Create;
    Button1.Enabled:= true;
    Button2.Enabled:= true;
    Button3.Enabled:= true;
    Button5.Enabled:= true;
    Button4.Enabled:= false;
    StatusBar1.SimpleText:= 'connected';
    SetForegroundWindow(Form1.Handle);
  except
    MessageBox(0, PChar('    .'), PChar(Form1.Caption), MB_OK);
    Raise;
  end; {try}
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
  Form1.Label1.Caption:= FIntf.Caption;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  FIntf.Caption:= Form1.Edit1.Text;
end;

procedure TForm1.Button5Click(Sender: TObject);
begin
  FIntf:= nil;
  StatusBar1.SimpleText:= 'disconnected';
  Button1.Enabled:= false;
  Button2.Enabled:= false;
  Button3.Enabled:= false;
  Button5.Enabled:= false;
  Button4.Enabled:= true;
end;

end.
